-- Code created by Kwik - Copyright: kwiksher.com 
-- Version: 2.beta4a 
module(..., package.seeall) 

function new() 
    local numPages = 3 
    local menuGroup = display.newGroup() 
    local dispose 
    local _W = 1024 
    local _H = 768 

    local drawScreen = function() 

       -- (TOP) External code will render here 

       local curPage = 1 

       Navigation.new("page", { backColor = {255, 255, 255}, totPages = numPages, curPage = curPage, thumbW = 120, thumbH = 90, alpha = 0.8, imageDir = imgDir, dire = "top", audio={} } ) 
       Navigation.hide() 

       if (_G.kBookmark == 1) then 
          local path = system.pathForFile( "book.txt", system.DocumentsDirectory ) 
          local file = io.open( path, "w+" ) 
          file:write ( curPage.."\n1" ) 
          io.close( file ) 
       end 

        if (_G.kAutoPlay > 0) then 
          local function act_autoPlay (event) 
             if(curPage < numPages) then 
                if(_G.kBidi == false) then  
                   dispose(); director:changeScene( "page_"..curPage+1, "moveFromRight" ) 
                else  
                   dispose(); director:changeScene( "page_"..curPage-1, "moveFromLeft" ) 
                end  
             end 
          end 
          timerStash.timer_AP = timer.performWithDelay( _G.kAutoPlay*1000, act_autoPlay, 1 ) 
       end 

        local bg  
       local readMe  
       local kwkNav  
       local readSelf  

       -- Button names 
       local selfBtn
       local navBtn
       local readMeBtn

       -- bg positioning 
       bg = display.newImageRect( imgDir.. "p1_bg.png", 1024, 768 ); 
       bg.x = 512; bg.y = 384; bg.alpha = 1; bg.oldAlpha = 1 
       menuGroup:insert(bg); menuGroup.bg = bg 

       -- readMe positioning 
       readMe = display.newImageRect( imgDir.. "p1_readme.png", 232, 80 ); 
       readMe.x = 882; readMe.y = 708; readMe.alpha = 1; readMe.oldAlpha = 1 
       menuGroup:insert(readMe); menuGroup.readMe = readMe 

       -- kwkNav positioning 
       kwkNav = display.newImageRect( imgDir.. "kwknav.png", 232, 80 ); 
       kwkNav.x = 508; kwkNav.y = 708; kwkNav.alpha = 1; kwkNav.oldAlpha = 1 
       menuGroup:insert(kwkNav); menuGroup.kwkNav = kwkNav 

       -- readSelf positioning 
       readSelf = display.newImageRect( imgDir.. "p1_readself.png", 232, 80 ); 
       readSelf.x = 138; readSelf.y = 708; readSelf.alpha = 1; readSelf.oldAlpha = 1 
       menuGroup:insert(readSelf); menuGroup.readSelf = readSelf 
 
       -- Group(s) creation 

       -- (MIDDLE) External code will render here 

       -- Button event listeners 
       local function onreadSelfEvent() 
          selfBtn() 
       end 
       readSelf:addEventListener("tap", onreadSelfEvent ) 
       local function onkwkNavEvent() 
          navBtn() 
       end 
       kwkNav:addEventListener("tap", onkwkNavEvent ) 
       local function onreadMeEvent() 
          readMeBtn() 
       end 
       readMe:addEventListener("tap", onreadMeEvent ) 

       -- Button functions 
       function selfBtn (event) 
            _G.kwk_readMe = 0 
            dispose(); director:changeScene( "page_"..curPage+1 ) 
       end 

       function navBtn (event) 
           if (navGroup.x<0) then 
              Navigation.show() 
           else  
              Navigation.hide() 
           end 
       end 

       function readMeBtn (event) 
            _G.kwk_readMe = 1 
            dispose(); director:changeScene( "page_"..curPage+1 ) 
       end 


       -- do not swipe this page 

       -- (BOTTOM) External code will render here 


    end 
    drawScreen() 

    dispose = function (event) 
    end 

    return menuGroup 
end 
